Bug 1413585 - java app kills gnome-session then screen freeze
Summary: java app kills gnome-session then screen freeze
Keywords:
Status: CLOSED DUPLICATE of bug 1402819
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 12:59 UTC by lejeczek
Modified: 2017-01-23 14:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-18 17:27:03 UTC
Type: Bug


Attachments (Terms of Use)

Description lejeczek 2017-01-16 12:59:38 UTC
Description of problem:

this problem occurs with 4.10.x kernels, kernel 4.9.x seems ok

If I boot to any 4.10.x kernel and open a java app(specifically iDrac @Dell R815 console) after a few seconds screen freezes.
because I still can ssh to the system, I see:

Application title was not found in manifest. Check with application vendor
IcedTea-Web java error - for more info see itweb-settings debug options or console. See http://icedtea.c
IcedTea-Web java error manual log:
Application title was not found in manifest. Check with application vendor
Application title was not found in manifest. Check with application vendor
Application title was not found in manifest. Check with application vendor
IcedTea-Web java error - for more info see itweb-settings debug options or console. See http://icedtea.c
IcedTea-Web java error manual log:
Application title was not found in manifest. Check with application vendor
01/16/2017 12:03:04:532: Starting client.
====setPowerMenuStatus: (##2)
Window manager warning: Invalid WM_TRANSIENT_FOR window 0x18000ac specified for 0x18000d0 ( ).
ProtocolAPCP: Version [1.0]
NativeKeyboard.init() Native library loading [jawt]
NativeKeyboard.init() Native library loading [avctKVMIO]
NativeKeyboard.init() Native library loading complete.
01/16/2017 12:03:06:134: NativeKVM: register(com.avocent.kvm.c.pb[windowedVideoPanel,0,0,820x620,layout=
01/16/2017 12:03:06:139: NativeKVM: register(com.avocent.kvm.c.pb[fullScreenVideoPanel,0,0,820x620,layou
 setPassthroughEnabled(true)
.....
.....
gnome-session-f[1970]: segfault at 0 ip 00007fe65890b869 sp 00007fffa95963d0 error 4 in libgtk-3.so.0.22
....
....
INFO: task gnome-shell:2125 blocked for more than 120 seconds.
      Tainted: G        W       4.10.0-0.rc3.git4.1.fc26.x86_64 #1
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
gnome-shell     D11424  2125   2105 0x00000000
Call Trace:
 ? __schedule+0x2fa/0xae0
 schedule+0x3d/0x90
 schedule_timeout+0x2c2/0x530
 ? _raw_spin_unlock_irqrestore+0x36/0x60
 ? trace_hardirqs_on_caller+0xf5/0x1b0
 ? trace_hardirqs_on+0xd/0x10
 dma_fence_wait_any_timeout+0x264/0x300
 ? dma_fence_context_alloc+0x20/0x20
 amdgpu_sa_bo_new+0x611/0x6e0 [amdgpu]
 amdgpu_ib_get+0x36/0x90 [amdgpu]
 amdgpu_job_alloc_with_ib+0x4d/0x70 [amdgpu]
 amdgpu_vm_update_page_directory+0xec/0x520 [amdgpu]
wlp2s0: Reject scan trigger since one is already pending
<info>  [1484568424.1500] device (wlp2s0): supplicant interface state: inactive -> scanning
INFO: task gnome-shell:2125 blocked for more than 120 seconds.
      Tainted: G        W       4.10.0-0.rc3.git4.1.fc26.x86_64 #1
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
gnome-shell     D11424  2125   2105 0x00000000
Call Trace:
 ? __schedule+0x2fa/0xae0
 schedule+0x3d/0x90
 schedule_timeout+0x2c2/0x530
 ? _raw_spin_unlock_irqrestore+0x36/0x60
 ? trace_hardirqs_on_caller+0xf5/0x1b0
 ? trace_hardirqs_on+0xd/0x10
 dma_fence_wait_any_timeout+0x264/0x300
 ? dma_fence_context_alloc+0x20/0x20
 amdgpu_sa_bo_new+0x611/0x6e0 [amdgpu]
 amdgpu_ib_get+0x36/0x90 [amdgpu]
 amdgpu_job_alloc_with_ib+0x4d/0x70 [amdgpu]
 amdgpu_vm_update_page_directory+0xec/0x520 [amdgpu]
 ? sched_clock_cpu+0xa7/0xc0
 amdgpu_cs_ioctl+0xecb/0x16c0 [amdgpu]
 drm_ioctl+0x37a/0x4e0 [drm]
 ? sched_clock_cpu+0xa7/0xc0
 ? amdgpu_cs_find_mapping+0xa0/0xa0 [amdgpu]
 ? trace_hardirqs_on_caller+0xf5/0x1b0
 ? trace_hardirqs_on+0xd/0x10
 amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
 do_vfs_ioctl+0xa3/0x740
 ? __fget+0x5/0x200
 SyS_ioctl+0x79/0x90
 entry_SYSCALL_64_fastpath+0x1f/0xc2
RIP: 0033:0x7f1dbc21a787
RSP: 002b:00007fff5a693ff8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007f1dbc21a787
RDX: 00007fff5a694140 RSI: 00000000c0186444 RDI: 000000000000000a
RBP: 00007fff5a692410 R08: 00005579d3d56658 R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000246 R12: 00007fff5a692320
R13: 00005579d75d9310 R14: 00005579d7594680 R15: 00005579d3e70b90

Showing all locks held in the system:
2 locks held by khungtaskd/42:
 #0:  (rcu_read_lock){......}, at: [<ffffffffb41a2e83>] watchdog+0xa3/0x5e0
 #1:  (tasklist_lock){.+.+..}, at: [<ffffffffb4114b4d>] debug_show_all_locks+0x3d/0x1a0
3 locks held by gnome-shell/2125:
 #0:  (&(*result)->lock){+.+.+.}, at: [<ffffffffc051714c>] amdgpu_bo_list_get+0x5c/0x80 [amdgpu]
 #1:  (reservation_ww_class_acquire){+.+.+.}, at: [<ffffffffc0503c48>] amdgpu_cs_ioctl+0x288/0x16c0 [amd
 #2:  (reservation_ww_class_mutex){+.+.+.}, at: [<ffffffffc0463f77>] ttm_eu_reserve_buffers+0x157/0x6f0 
2 locks held by Xwayland/2147:
 #0:  (reservation_ww_class_acquire){+.+.+.}, at: [<ffffffffc0500ad4>] amdgpu_gem_va_update_vm+0xc4/0x1d
 #1:  (reservation_ww_class_mutex){+.+.+.}, at: [<ffffffffc0463f77>] ttm_eu_reserve_buffers+0x157/0x6f0 
2 locks held by bash/2588:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3070:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3080:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3113:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3377:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3677:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/5117:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940

=============================================

INFO: task Xwayland:2147 blocked for more than 120 seconds.
      Tainted: G        W       4.10.0-0.rc3.git4.1.fc26.x86_64 #1
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Xwayland        D11280  2147   2125 0x00000004
Call Trace:
 ? __schedule+0x2fa/0xae0
 schedule+0x3d/0x90
 schedule_timeout+0x2c2/0x530
 ? mark_held_locks+0x76/0xa0
 ? _raw_spin_unlock_irqrestore+0x36/0x60
 ? trace_hardirqs_on_caller+0xf5/0x1b0
 ? trace_hardirqs_on+0xd/0x10
 ? dma_fence_add_callback+0x71/0x210
 dma_fence_wait_any_timeout+0x264/0x300
 ? dma_fence_context_alloc+0x20/0x20
 amdgpu_sa_bo_new+0x611/0x6e0 [amdgpu]
 ? __wake_up+0x44/0x50
 amdgpu_ib_get+0x36/0x90 [amdgpu]
 amdgpu_job_alloc_with_ib+0x4d/0x70 [amdgpu]
 amdgpu_vm_update_page_directory+0xec/0x520 [amdgpu]
 ? _raw_spin_unlock+0x27/0x40
 ? amdgpu_gem_va_update_vm+0xc4/0x1d0 [amdgpu]
 amdgpu_gem_va_update_vm+0x18c/0x1d0 [amdgpu]
 ? sched_clock_cpu+0xa7/0xc0
 ? ttm_eu_backoff_reservation+0x86/0xe0 [ttm]
 amdgpu_gem_va_ioctl+0x27c/0x340 [amdgpu]
 ? __might_fault+0x43/0xa0
 drm_ioctl+0x37a/0x4e0 [drm]
 ? sched_clock_cpu+0xa7/0xc0
 ? amdgpu_gem_metadata_ioctl+0x1d0/0x1d0 [amdgpu]
 ? trace_hardirqs_on_caller+0xf5/0x1b0
 ? trace_hardirqs_on+0xd/0x10
 amdgpu_drm_ioctl+0x4f/0x90 [amdgpu]
 do_vfs_ioctl+0xa3/0x740
 ? __fget+0x5/0x200
 SyS_ioctl+0x79/0x90
 entry_SYSCALL_64_fastpath+0x1f/0xc2
RIP: 0033:0x7f3cbf40a787
RSP: 002b:00007ffd02d2d248 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000000003133ea0 RCX: 00007f3cbf40a787
RDX: 00007ffd02d2d290 RSI: 00000000c0286448 RDI: 000000000000000b
RBP: 00007ffd02d2d2b0 R08: 0000000000000000 R09: 0000000000000002
R10: 00000000030cd2c0 R11: 0000000000000246 R12: 0000000040086409
R13: 000000000000000b R14: 0000000003177d70 R15: 0000000003177d70

Showing all locks held in the system:
2 locks held by khungtaskd/42:
 #0:  (rcu_read_lock){......}, at: [<ffffffffb41a2e83>] watchdog+0xa3/0x5e0
 #1:  (tasklist_lock){.+.+..}, at: [<ffffffffb4114b4d>] debug_show_all_locks+0x3d/0x1a0
3 locks held by gnome-shell/2125:
 #0:  (&(*result)->lock){+.+.+.}, at: [<ffffffffc051714c>] amdgpu_bo_list_get+0x5c/0x80 [amdgpu]
 #1:  (reservation_ww_class_acquire){+.+.+.}, at: [<ffffffffc0503c48>] amdgpu_cs_ioctl+0x288/0x16c0 [amd
 #2:  (reservation_ww_class_mutex){+.+.+.}, at: [<ffffffffc0463f77>] ttm_eu_reserve_buffers+0x157/0x6f0 
2 locks held by Xwayland/2147:
 #0:  (reservation_ww_class_acquire){+.+.+.}, at: [<ffffffffc0500ad4>] amdgpu_gem_va_update_vm+0xc4/0x1d
 #1:  (reservation_ww_class_mutex){+.+.+.}, at: [<ffffffffc0463f77>] ttm_eu_reserve_buffers+0x157/0x6f0 
2 locks held by bash/2588:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3070:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3080:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3113:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3377:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/3677:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940
2 locks held by bash/5117:
 #0:  (&tty->ldisc_sem){++++.+}, at: [<ffffffffb4959987>] ldsem_down_read+0x37/0x40
 #1:  (&ldata->atomic_read_lock){+.+...}, at: [<ffffffffb45bfa67>] n_tty_read+0xc7/0x940

=============================================

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Severin Gehwolf 2017-01-16 14:58:47 UTC
Is Gnome running under wayland or X? There are a couple of issues when running on wayland. See bug 1402819.

Comment 2 lejeczek 2017-01-17 11:36:29 UTC
Waylan, I think you can say from looking at that dmesg snippets.
Can I grab any useful debug/dump which would help?

Comment 3 Severin Gehwolf 2017-01-17 12:33:53 UTC
(In reply to lejeczek from comment #2)
> Waylan, I think you can say from looking at that dmesg snippets.
> Can I grab any useful debug/dump which would help?

If you switch to Gnome on X can you still reproduce? The "How to Test" section of the Wayland Change page has some details as to how to switch between the two:
https://fedoraproject.org/wiki/Changes/WaylandByDefault#How_To_Test

If Gnome on X works for you, this is very likely a duplicate of bug 1402819. Should it turn out to be really a variant of 1402819, we have a fairly good understanding what's causing the issues.

Comment 4 lejeczek 2017-01-18 11:18:25 UTC
this is real trouble with X - that java apps when opens up its window stucks it in left-top corner and I cannot move at all. This does not happen @Wayland.

Comment 5 Severin Gehwolf 2017-01-18 16:32:49 UTC
You haven't said whether the original problem happens with Gnome on X. Does it happen in that env?

Comment 6 lejeczek 2017-01-18 17:13:28 UTC
it seems that it does not crash under X.

Comment 7 Severin Gehwolf 2017-01-18 17:27:03 UTC
OK, thanks! Closing as duplicate of bug 1402819 based on comment 6. Once that one is fixed properly and it still happens after we can revisit.

*** This bug has been marked as a duplicate of bug 1402819 ***

Comment 8 lejeczek 2017-01-19 17:08:39 UTC
so it's not only java, but possibly longer list of app that cannot find in wayland/weston what they needed all this time, eg. rdestkop, xfreerdp, etc.

Would there be a fixed stuff possibly in rawhide? Or sometime soon? And which rpm deps one should be trying then?
many thanks

p.s. but something in the 4.10.x drivers for they allow gpu to freeze.

Comment 9 Severin Gehwolf 2017-01-23 14:08:44 UTC
(In reply to lejeczek from comment #8)
> so it's not only java, but possibly longer list of app that cannot find in
> wayland/weston what they needed all this time, eg. rdestkop, xfreerdp, etc.

OK. Please file separate issues for those. I don't know the wayland status of those tools or whether it's wayland that needs fixing or the applications.

> Would there be a fixed stuff possibly in rawhide? Or sometime soon? And
> which rpm deps one should be trying then?
> many thanks

Your best bet is asking wayland maintainers and or maintainers of the apps in question. We - the OpenJDK maintainers - don't know, sorry.


Note You need to log in before you can comment on or make changes to this bug.